<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
<h:outputStylesheet name="css/extraction/#{css}"/>
<p:remoteCommand name="updateVariables"
                 update="variableList,#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage, messageWarningStep3"/>
<p:remoteCommand name="updateMethods"
                 update="methodsList,#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage, messageWarningStep3"/>
<ui:param name="variables" value="#{uiBean.uiVariable.availablesVariables}"/>
<ui:param name="methods" value="#{uiBean.uiVariable.availablesMethods}"/>
<f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.panels.variablesChoiceStep" var="variablesChoiceStep"/>
<h:panelGroup id="messageWarningStep3">
    <h:outputText value="#{variablesChoiceStep.PARAM_MSG_INTRO}"
                  rendered="#{not uiBean.uiVariable.variableStepIsValid and not empty variables}"
                  styleClass="selectionEmpty"/>
    <h:outputText value="#{variablesChoiceStep.PARAM_MSG_NO_RESULT_FOR_SELECT}"
                  rendered="#{empty variables}"
                  styleClass="selectionEmpty"/>
</h:panelGroup>

<h:panelGroup styleClass="panelControlsWrapper">
    <h:panelGroup styleClass="panelControls">
        <h:panelGroup styleClass="control">
            <p:commandLink process="@this,#{p:component('parametersRequest')},variableList" styleClass="buttonStepNext"
                           action="#{uiBean.uiVariable.addAllVariablesSoil}"
                           oncomplete="updateVariables();updateMethods();">
                <p:graphicImage value="#{resource['images:add.png']}"/>
                <h:outputText value="#{variablesChoiceStep.PARAM_MSG_ADD_ALL}"/>
            </p:commandLink>
        </h:panelGroup>
        <h:panelGroup styleClass="control">
            <p:commandLink process="@this,#{p:component('parametersRequest')},variableList" styleClass="buttonStepNext"
                           action="#{uiBean.uiVariable.removeAllVariablesSoil}"
                           oncomplete="updateVariables();updateMethods();">
                <p:graphicImage value="#{resource['images:remove_selection.png']}"/>
                <h:outputText value="#{variablesChoiceStep.PARAM_MSG_DELETE_ALL}"/>
            </p:commandLink>
        </h:panelGroup>
    </h:panelGroup>
</h:panelGroup>

<p:dataList id="variableList" value="#{variables.entrySet()}" var="entryVariable" rendered="#{not empty variables}">
    <p:panel header="#{entryVariable.key}" rendered="#{not empty entryVariable.value}">
        <p:dataList id="variableList" value="#{entryVariable.value}" var="variable">
            <p:commandLink value="#{variable.variable.affichage} (#{variable.localizedName})" process="@this"
                           action="#{uiBean.uiVariable.selectVariable(variable)}" oncomplete="updateVariables()">
            </p:commandLink>
            <p:graphicImage name="images/check.png" rendered="#{variable.selected}"/>
        </p:dataList>
    </p:panel>
</p:dataList>
<p:panel header="#{uiBean.uiVariable.textureDatatatype}" rendered="#{not empty methods}">
    <p:dataList id="methodsList" value="#{methods}" var="method" rendered="#{not empty methods}">
        <p:fieldset rendered="#{not empty method.variables}">
            <f:facet name="legend">
                <p:commandLink value="#{method.localizedName}" process="@this"
                               action="#{uiBean.uiVariable.selectMethod(method)}" oncomplete="updateMethods()">
                </p:commandLink>
                <p:graphicImage name="images/check.png" rendered="#{method.selected}"/>
            </f:facet>
            <p:dataList id="variableList" value="#{method.variables}" var="variable">
                <h:outputText value="#{variable.variable.affichage} (#{variable.localizedName})"/>
                <p:graphicImage name="images/check.png" rendered="#{method.selected}"/>
            </p:dataList>
        </p:fieldset>
    </p:dataList>
</p:panel>
</html>